AIGameSettingControls.PopForBarracks1 = class extends AIGameSettingControlInt
{
	constructor(...args)
	{
		super(...args);
		this.defaultValue = 25;
		g_GameSettings.playerAI.watch(() => this.render(), ["values"]);
	}

	onOpenPage(playerIndex, enabled)
	{
		super.onOpenPage(playerIndex, enabled);
		this.render();
	}

	render()
	{
		const ai = g_GameSettings.playerAI.get(this.playerIndex);
		this.setHidden(!ai);
		if (ai)
		{
			const value = ai.military?.popForBarracks1 ?? this.defaultValue;
			this.setIntValue(value);
		}
	}

	onValueChange(value)
	{
		const ai = g_GameSettings.playerAI.get(this.playerIndex);
		const military = ai && ai.military ? { ...ai.military, "popForBarracks1": value } : { "popForBarracks1": value };
		g_GameSettings.playerAI.setMilitary(this.playerIndex, military);
		this.gameSettingsController.setNetworkInitAttributes();
	}
};

AIGameSettingControls.PopForBarracks1.prototype.TitleCaption =
	translate("Pop For Barracks 1");
